import { OhosUrlPlayer } from './OhosUrlPlayer';
import premierlibrary from 'libpremierlibrary.so';
export class OhosSaasPlayer extends OhosUrlPlayer {
    constructor(d31) {
        super(d31);
    }
    setUrlDataSource(c31) {
        premierlibrary.nSetUrlDataSource(this, c31);
    }
    setLiveStsDataSource(b31) {
        premierlibrary.nSetLiveStsDataSource(this, b31);
    }
    updateStsInfo(a31) {
        premierlibrary.nUpdateStsInfo(this, a31);
    }
    setVidAuthSource(z30) {
        premierlibrary.nSetVidAuthDataSource(this, z30);
    }
    updateVidAuth(y30) {
        premierlibrary.nUpdateVidAuth(this, y30);
    }
    setVidStsSource(x30) {
        premierlibrary.nSetVidStsDataSource(this, x30);
    }
    setVidMpsSource(w30) {
        premierlibrary.nSetVidMpsDataSource(this, w30);
    }
}
